commit: 010545a59ecb5209c52830d6f4c58c7d94047d30
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 24 02:58:58 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 24 03:01:56 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=010545a5
dev-python/authlib: Bump to 1.6.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/authlib/Manifest | 1 +
dev-python/authlib/authlib-1.6.2.ebuild | 75 +++++++++++++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/dev-python/authlib/Manifest b/dev-python/authlib/Manifest
index 0c903ad77309..2814a9e7e798 100644
--- a/dev-python/authlib/Manifest
+++ b/dev-python/authlib/Manifest
@@ -1,2 +1,3 @@
DIST authlib-1.6.0.gh.tar.gz 341039 BLAKE2B
26faa75dbbaf6ca7350dbcd04d01d38bbbc3ee9f096437bee03be4180ed4b82560707b1ee403abf52eea4f6b53f760e5ad9bd8357cc227ed41b571ad9ff815a6
SHA512
5ff057fe9699b192218bf0863635230137fe1cb86129ba545b468f2df4491b475e81b6c296efd9965cfdb2cfc782f46bd49f93b1b222b5ce1f0b49145ef9ef45
DIST authlib-1.6.1.gh.tar.gz 341053 BLAKE2B
f5468276a8d05ef0770e154a6f1662d01d421e0dfc1bc702577e1c665869366217001a08fc1cf3e15b68beaa6e0cb23f3721615b97d4e5b9772bbd041d6c1af3
SHA512
681548ef2c3a2d36af5a620a44cf61d5ca54d65129ce711dca01aba2f0dd7bda39e425f38f1b3e5d13211ee3c6fb6fe8f680d64bfa18895b2f03418b569559e3
+DIST authlib-1.6.2.gh.tar.gz 327687 BLAKE2B
81bcbaa4cd08d10afb6d565e65c629e342f6ff22adbba15a0e881a0857061bdbedb19a77b368b9d5520c521140552a8fd8f4aa3628de222321aed48c977f8ebb
SHA512
71cbb4d806d5edc204afc176a6ba339481c56fd45cbf14e83106941372d2ccf5f975e30f9c5eaf8a16c2680e161a3905a79be339a870d34e3a01ee23773771a5
diff --git a/dev-python/authlib/authlib-1.6.2.ebuild
b/dev-python/authlib/authlib-1.6.2.ebuild
new file mode 100644
index 000000000000..e1e9ea38a3a9
--- /dev/null
+++ b/dev-python/authlib/authlib-1.6.2.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library in building OAuth and OpenID Connect servers and
clients"
+HOMEPAGE="
+ https://authlib.org/
+ https://github.com/authlib/authlib/
+ https://pypi.org/project/Authlib/
+"
+# pypi source distribution excludes the tests
+SRC_URI="
+ https://github.com/authlib/authlib/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="django flask jose test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ django? (
+ dev-python/django[${PYTHON_USEDEP}]
+ )
+ flask? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ )
+ jose? (
+ >=dev-python/pycryptodome-3.10[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/anyio[${PYTHON_USEDEP}]
+ dev-python/cachelib[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.10[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/starlette[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-asyncio )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # convert from pycryptodomex to pycryptodome
+ sed -i -e 's:from Cryptodome:from Crypto:' \
+ authlib/jose/drafts/_jwe_enc_cryptodome.py || die
+}
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.clients.test_django.settings
+ epytest tests/{core,jose,clients,flask}
+
+ # TODO: django.core.exceptions.AppRegistryNotReady: Apps aren't loaded
yet.
+ #local -x DJANGO_SETTINGS_MODULE=tests.django.settings
+ #epytest tests/django
+}